.header {
  position: fixed;
  width: 100%;
  left: 0;
  top: 0;
  display: flex;
  align-items: center;
  justify-content: space-between;
  z-index: 10;
  padding: 20px 40px;
  box-sizing: border-box;
  transition: background-color ease .3s, padding ease .3s, width ease .3s;

  @include down(lg) {
    padding: 10px;

    .menu-desktop {
      display: none;
    }
  }

  img {
    height: 50px;
    width: auto;
  }

  ul {
    display: flex;
    align-items: center;
    font-size: 16px;
  }

  li:not(:first-of-type) {
    margin-left: 20px;
  }

  &.sticky {
    background-color: #fff;
    padding: 0 10px;
    box-shadow: 0 5px 20px rgba(0, 0, 0, .1);

    @include down(lg) {
      padding: 5px 10px;
    }
  }

  @include up(lg) {
    .icon-gift,
    .icon-menu {
      display: none;
    }
  }

  @include down(lg) {
    .icon-gift {
      margin-left: auto;
      margin-right: 10px;
    }

    .icon-menu {
      background-color: $blue;
      width: 30px;
      height: 30px;
      position: relative;
      display: block;

      img {
        position: absolute;
        width: 60%;
        height: 60%;
        top: 20%;
        left: 20%;
        object-fit: contain;
      }
    }
  }
  li.lang-switcher {
    display: flex;
    margin-left: 10px;
    border: solid 1px $blue;
    height: 40px;
    padding: 7px;
    box-sizing: border-box;
    a {
      display: block;
    }
    img {
      width: 24px;
      height: 24px;
      display: block;
    }
    &.open a:not(:first-of-type) img {
      margin-left: 7px;
    }
    &:not(.open) a:not(.active) {
      display: none;
    }
  }
}

.mobile-menu {
  position: fixed;
  z-index: 11;
  background-color: #fff;
  width: 100%;
  height: 100%;
  top: 0;
  right: -100vw;
  box-sizing: border-box;
  padding: 10px;
  display: flex;
  overflow-y: auto;
  flex-direction: column;
  transition: transform cubic-bezier(0.65, 0.05, 0.36, 1) .5s;

  &.open {
    transform: translateX(-100%);
  }
  &:not(.open) {
    pointer-events: none;
  }

  & > div {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 15px;
  }

  .logo {
    text-align: left;
    img {
      height: 50px;
      width: auto;
    }
  }

  ul {
    width: 100%;
    font-weight: 500;

    a {
      display: block;
      box-sizing: border-box;
      padding: 10px;
      background-color: $light-grey;
      margin-bottom: 10px;
      position: relative;

      &:not(.icon-heart)::after {
        content: '';
        display: block;
        width: 7px;
        height: 7px;
        position: absolute;
        right: 10px;
        top: 50%;
        transform: translateY(-50%) rotate(45deg);
        border-top: solid 1px #000;
        border-right: solid 1px #000;
      }
    }
  }

  nav {
    flex-grow: 1;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    position: relative;
  }

  .icon-close {
    display: block;
    width: 26px;
    height: 26px;
    position: relative;

    &:after,
    &:before {
      content: '';
      width: 3px;
      height: 100%;
      background-color: $blue;
      display: block;
      position: absolute;
      top: 0;
      transform-origin: center;
      left: 13px;
    }

    &:after {
      transform: rotate(45deg);
    }

    &:before {
      transform: rotate(-45deg);
    }
  }
  .icon-heart {
    background-color: $yellow;
    font-family: $font-title;
    font-size: 16px;
    display: flex;
    align-items: center;
    padding: 9px 10px;
    color: #fff;
    &:before {
      content: '';
      display: block;
      width: 20px;
      height: 20px;
      background-size: contain;
      background-repeat: no-repeat;
      margin-right: 10px;
      background-image: url("/assets/images/icons/handshake.svg");
    }
  }
  li.lang-switcher {
    display: flex;
    position: absolute;
    bottom: 0;
    left: 0;
    img {
      width: 30px;
      height: 30px;
      margin-right: 10px;
    }
    a {
      margin: 0;
      background-color: transparent;
      padding: 0;
      &:after {
        display: none;
      }
    }
  }
}

body:not(.home-page) header:not(.sticky) {
  background-color: #fff;
  padding: 10px 40px;
  @include down(lg) {
    padding: 10px;
  }
}